---
layout: page
title: Email
language: en
ref: mail-etiquette
---
I have seen many people having problem with using email, especially from my classmates.
Writing email is an important skill, and knowing how to write email properly is respecting
the recipient.

In this article I am writing about how to write a proper mail,
my email preferences, and some technical issues related to email.
If you violate too many red flags I stated here I probably won't read your mail.

### Contents
* Table of contents
{:toc}

# Email Structure

Here is a generic email structure:

	[Tag] Subject

	Greeting: Hi/Dear [name]/Sir/Madame/To whom it may concern,

	Introduction

	Elaboration

	Regards

	Signature

## Subject

Some people find it hard to come up with a good email subject.

You can (and should) include a short tag to let the recipient know about the topic
before reading the whole subject line, unless they requested otherwise.

## Greeting

It's not a problem for most people, though I have personally received many emails without greeting.
An email is not a private message, and even for private message you probably should do a greeting
before a conversation as well.

Note:

- Hi/Hello is informal, so you probably should avoid it if you don't know the person.
- You could include the person's title (e.g., Dr.) if you like and the other person is comfortable, but for me personally, don't use Mr.
- Refer to the person with their preferred name. For me, this means don't use my family name[^1]. Also, don't deadname trans people.

## Introduction

It is necessary to introduce yourself if you and the other person don't know each other. Start with

	My name is... I am ...
	I am writing this mail to ...

If you know the person, you can just come to the reason you're writing this mail.

## Regards and Signature

To close an email, you should end it with:

- Sincerely,
- Regards,
- Yours cordially,
- Best,

... followed by your name. 

# Language

This should go without saying, but when someone sends you an email in a language,
don't reply in another, unless you're asked to.

## Pronoun

Pronoun is a sensitive topic, and mispronoun someone can make [zem]
feel very uncomfortable.

In English, this is not very a common problem, since first and second pronouns
are neutral. In other languages, such as French or German, it is not. Using "tu"
or "du/ihr" in a formal email (i.e. not with your friends) will make you look
very unprofessional. Choosing pronouns is a difficult problem in a deeper level,
since the pronouns depend on age, gender, social status, job, etc and not
just the formalness. That's why I don't like writing in Vietnamese.

# Attachment

This is a rather technical topic, but it's simple to follow.

[Don't send Word documents][no-word]. Words are not only bloated and inefficient,
it also poses malware and virus threats. Of course, you wouldn't attach those, but for
safety many people including me would not take the risk.

Instead, just include the text inside the email if it is not long, export the document
as pdf, HTML, or plain text file.

Similarly, don't send RAR archive. RAR is a proprietary archive format, which means
free software cannot open it. Please use an open format like ZIP instead, or better yet,
just attach individual files in the email - I can preview without download that way.

# Send in plain text

This is a rather technical topic, but it's simple to follow.
I'm not dictating which format you should use when emailing someone else, but please do
this when you send me an email.

HTML text is preferred by marketers, since they can embed bloated images and GIFs in the
email, which can assist their intended purpose.

However, I recommend writing mails only in plain text for following reason:

- HTML allows phishing
- HTML makes tracking possible, which doesn't respect recipient's privacy
- HTML emails are less accessible (I will make a post about accessibility and link here)

In fact, many mail clients only display plain text and not HTML. On the other hand, all
mail clients can display plain text.
Many mailing list blocks HTML. HTML is for the web, which email is not[^2].

Read [this page][useplaintext] to see how to write mail in plain text file.

## What if I want to include an image?

Attach it as a file and refer to that.

## Links are usually long and I'm afraid it can be disruptive

You can use reference, like this:

	Please read the post [1] for more information.
	...

	[1]: https://example.org/this-link-is-long-and-disruptive

[^1]: I would say it's the same for all other Vietnamese people. Vietnamese people currently has quite few family name,
and most of them are "Nguyễn", therefore we never refer to one another as family name. This could be different for other Asian culture,
e.g. Chinese or Japanese people may use family name in formal situation.
[^2]: They work on entirely different protocols, with different formats.

[useplaintext]: https://useplaintext.email
[zem]: /menglish.html
[no-word]: https://www.gnu.org/philosophy/no-word-attachments.html
